
teuthology - Bug #15198

ceph_qa_suite_git_url: is no longer honored

03/18/2016 10:53 AM - Loïc Dachary

Status: Resolved % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee: Zack Cerza   

Category:    

Target version:    

Source: other Reviewed:  

Tags:  Affected Versions:  

Backport:  ceph-qa-suite:  

Regression: Yes Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Description

The ceph_qa_suite_git_url docs/siteconfig.rst variable

    # Where the ceph-qa-suite git repo is considered to reside.

    ceph_qa_suite_git_url: https://github.com/ceph/ceph-qa-suite.git

 

can no longer be modified because of https://github.com/ceph/teuthology/commit/d4d8b1d7cb899c3d71daaba33be36ac4aff9b70c.

teuthology-openstack --ceph-qa-suite-git-url http://github.com/dachary/ceph-qa-suite modifies ~/.teuthology.yaml

teuthology-suite clone or checkout from http://github.com/dachary/ceph-qa-suite

teuthology-worker (because of d4d8b1d7cb899c3d71daaba33be36ac4aff9b70c) reset the clone to the remote URL

ceph_qa_suite_git_url had when it was launched

teuthology-worker will fail if the desired branch does not exist in the previous repository

History

#1 - 03/22/2016 09:31 PM - Zack Cerza

Perhaps teuthology-worker should reread the config inside its while keep_running loop?

#2 - 04/20/2016 09:44 PM - Zack Cerza

- Assignee set to Zack Cerza

#3 - 12/05/2019 09:41 PM - Patrick Donnelly

- Status changed from 12 to New

#4 - 10/20/2021 08:23 PM - Zack Cerza

- Status changed from New to Resolved
